It is currently Sun Jul 15, 2018 10:23 pm

All times are UTC + 1 hour




Post new topic Reply to topic  [ 5 posts ] 
Author Message
 Post subject: Ubuntu 18.04 - 64bits - Errors in the launch
PostPosted: Mon Jul 09, 2018 6:47 pm 
Offline
Enthusiast
Enthusiast

Joined: Mon May 29, 2006 11:29 am
Posts: 325
Location: BARCELONA - SPAIN
I have installed PureBasic in a virtual machine with Ubuntu 18.04 - 64bits.
Installation do not give any kind of error messages.
When I start PureBasic executing launch.sh,I get these error messages.
-------------
Gtk-Message: 19:37:24.990: Failed to load module "canberra-gtk-module"

** (purebasic:16537): CRITICAL **: 19:37:25.715: murrine_style_draw_box_gap: assertion 'height >= -1' failed

** (purebasic:16537): CRITICAL **: 19:37:26.160: murrine_style_draw_box_gap: assertion 'height >= -1' failed
---------------
Despite these error messages, purebasic seems to work correctly.
How can I prevent these error messages from appearing?
Do I need to install an additional package?
Thanks for your help.

_________________
QuimV


Top
 Profile  
Reply with quote  
 Post subject: Re: Ubuntu 18.04 - 64bits - Errors in the launch
PostPosted: Mon Jul 09, 2018 7:19 pm 
Offline
User
User

Joined: Sat Jun 23, 2018 5:21 pm
Posts: 22
Hello QuimV,

"GTK" produces a lot of crap again.

Many GTK warnings are usually inconsequential.

Try this here:

sudo apt install libcanberra-gtk-module libcanberra-gtk3-module

or

sudo aptitude reinstall libcanberra-gtk-module

or

sudo apt-get install libcanberra-gtk*

"libcanberra is an implementation of the XDG Sound Theme and Name Specifications, for generating event sounds on free desktops, such as GNOME."


Top
 Profile  
Reply with quote  
 Post subject: Re: Ubuntu 18.04 - 64bits - Errors in the launch
PostPosted: Mon Jul 09, 2018 7:46 pm 
Offline
Enthusiast
Enthusiast

Joined: Mon May 29, 2006 11:29 am
Posts: 325
Location: BARCELONA - SPAIN
thanks :D ccode!

I have executed:
"sudo apt-get install libcanberra-gtk *"
And now it gives a single error message:
** (purebasic:2625): CRITICAL **: 20:38:27.185: murrine_style_draw_box_gap: assertion 'height >= -1' failed
This error message, what kind of programs can affect?
Regards

_________________
QuimV


Top
 Profile  
Reply with quote  
 Post subject: Re: Ubuntu 18.04 - 64bits - Errors in the launch
PostPosted: Tue Jul 10, 2018 9:19 am 
Offline
Administrator
Administrator

Joined: Fri May 17, 2002 4:39 pm
Posts: 13321
Location: France
It's theme related, it should not affect the program, right ?


Top
 Profile  
Reply with quote  
 Post subject: Re: Ubuntu 18.04 - 64bits - Errors in the launch
PostPosted: Tue Jul 10, 2018 9:24 am 
Offline
Enthusiast
Enthusiast

Joined: Mon May 29, 2006 11:29 am
Posts: 325
Location: BARCELONA - SPAIN
:D Thank You @Fred

_________________
QuimV


Top
 Profile  
Reply with quote  
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 5 posts ] 

All times are UTC + 1 hour


Who is online

Users browsing this forum: No registered users and 3 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
Jump to:  

 


Powered by phpBB © 2008 phpBB Group
subSilver+ theme by Canver Software, sponsor Sanal Modifiye